| MAXREFDES82# Code Documentation V01.00 Maxim Smart Force Sensor

- Main Page
- Modules
- Files

All Files Functions Variables Macros Groups Pages
Functions
STEMWIN_LIBRARY_Private_Functions
STEMWIN_LIBRARY

## Functions
void | HAL_DMA2D_MspInit (DMA2D_HandleTypeDef *hdma2d)
| DMA2D MSP Initialization This function configures the hardware resources used in This application:
void | HAL_DMA2D_MspDeInit (DMA2D_HandleTypeDef *hdma2d)
| DMA2D MSP De-Initialization This function frees the hardware resources used in This application:
void | HAL_LTDC_MspInit (LTDC_HandleTypeDef *hltdc)
| LTDC MSP Initialization This function configures the hardware resources used in This application:
void | HAL_LTDC_MspDeInit (LTDC_HandleTypeDef *hltdc)
| LTDC MSP De-Initialization This function frees the hardware resources used in This application:
void | HAL_LTDC_LineEvenCallback (LTDC_HandleTypeDef *hltdc)
| Line Event callback.
void | LCD_X_Config (void)
| Called during the initialization process in order to set up the display driver configuration.
int | LCD_X_DisplayDriver (unsigned LayerIndex, unsigned Cmd, void *pData)
| This function is called by the display driver for several purposes. To support the according task the routine needs to be adapted to the display controller. Please note that the commands marked with 'optional' are not cogently required and should only be adapted if the display controller supports these features.

## Detailed Description

## Function Documentation

void HAL_DMA2D_MspDeInit | ( | DMA2D_HandleTypeDef * | hdma2d | ) |

DMA2D MSP De-Initialization This function frees the hardware resources used in This application:

         - Disable the Peripheral's clock

Parameters

  hdma2d,: | DMA2D handle pointer

Return values

  None |

Definition at line 210 of file LCDConf_stm32f429i_disco_MB1075.c.

void HAL_DMA2D_MspInit | ( | DMA2D_HandleTypeDef * | hdma2d | ) |

DMA2D MSP Initialization This function configures the hardware resources used in This application:

          - Peripheral's clock enable
          - Peripheral's GPIO Configuration

Parameters

  hdma2d,: | DMA2D handle pointer

Return values

  None |

Definition at line 197 of file LCDConf_stm32f429i_disco_MB1075.c.

void HAL_LTDC_LineEvenCallback | ( | LTDC_HandleTypeDef * | hltdc | ) |

Line Event callback.

Parameters

  hltdc,: | pointer to a LTDC_HandleTypeDef structure that contains the configuration information for the specified LTDC.

Return values

  None |

Definition at line 332 of file LCDConf_stm32f429i_disco_MB1075.c.

void HAL_LTDC_MspDeInit | ( | LTDC_HandleTypeDef * | hltdc | ) |

LTDC MSP De-Initialization This function frees the hardware resources used in This application:

         - Disable the Peripheral's clock

Parameters

  hltdc,: | LTDC handle pointer

Return values

  None |

Definition at line 316 of file LCDConf_stm32f429i_disco_MB1075.c.

void HAL_LTDC_MspInit | ( | LTDC_HandleTypeDef * | hltdc | ) |

LTDC MSP Initialization This function configures the hardware resources used in This application:

          - Peripheral's clock enable
          - Peripheral's GPIO Configuration

Parameters

  hltdc,: | LTDC handle pointer

Return values

  None |

Definition at line 227 of file LCDConf_stm32f429i_disco_MB1075.c.

void LCD_X_Config | ( | void |  | ) |

Called during the initialization process in order to set up the display driver configuration.

Parameters

  None |

Return values

  None |

Definition at line 367 of file LCDConf_stm32f429i_disco_MB1075.c.

int LCD_X_DisplayDriver | ( | unsigned | LayerIndex,
|  | unsigned | Cmd,
|  | void * | pData
| ) |  |

This function is called by the display driver for several purposes. To support the according task the routine needs to be adapted to the display controller. Please note that the commands marked with 'optional' are not cogently required and should only be adapted if the display controller supports these features.

Parameters

  LayerIndex,: | Index of layer to be configured
  Cmd | :Please refer to the details in the switch statement below
  pData | :Pointer to a LCD_X_DATA structure

Return values

  Status | (-1 : Error, 0 : Ok)

Definition at line 474 of file LCDConf_stm32f429i_disco_MB1075.c.